\newpage

Vitrine
=======

Vitrine sécurisée ?
-------------------

Avant de commencer votre travail, il est important de mettre en place
toutes les sécurités nécessaires au bon déroulement de votre mise en
production. Vérifiez qu'aucun service n'écoute inutilement sur
Internet, et renforcez cela au moyen d'un pare-feu (`iptables` ou
`nftables` par exemple).

Faites le tour des configurations afin de vous assurer qu'elles sont
suffisamment durcies. Pensez à noter vos changements, vous devrez les
reporter dans un fichiers au chapitre suivant !

À ce stade, vous devez suivre les recommandations de l'ANSSI que vous
jugez adaptées à votre déploiement :
<https://www.ssi.gouv.fr/guide/recommandations-de-securite-relatives-a-un-systeme-gnulinux/>


Ma première vitrine
-------------------

Sur le domaine `login-x.adlin2024.example.tld`, déployez une vitrine
d'entreprise basique. Vous n'allez pas déployer tout un Wordpress, mais un
simple lot de pages HTML ... générées avec Hugo.

Vous aurez pour cela besoin d'un serveur web, dont le choix est laissé à votre
discrétion.

Vous pouvez utiliser les services de [Let's Encrypt](https://letsencrypt.org/)
pour obtenir un certificat TLS.\

::::: {.warning}

Compte tenu [des limitations
imposées](https://letsencrypt.org/docs/rate-limits/), vous ne pourrez pas tous
en créer un aujourd'hui, mais n'hésitez pas à retenter un peu plus tard dans la
semaine. Vous pouvez également obtenir vos certificats depuis de nombreux
autres services gratuits similaire : [ZeroSSL](https://zerossl.com/),
[buypass](https://www.buypass.com/), ...\

D'ailleurs, si vous disposez de votre propre nom de domaine et que vous
souhaitez l'utiliser pour ce TP, vous pouvez suivre les instructions dans
l'interface de Maatma pour pouvoir l'utiliser.

:::::


Une fois votre serveur web configuré et votre vitrine déployée, accédez à
votre domaine depuis votre poste pour constater la bonne marche de
l'installation.
